Plesk 9.5.2 released

Bei einer planmäßigen Überprüfung einiger Linux-Server mit Parallels Plesk ist mit aufgefallen, dass es wieder ein neues Update gibt. Plesk 9.5.2 wurde wohl gestern released. Beim Einspielen der Updates kam es bislang zu keinen Fehlern. Ich werde dies aber noch beobachten.

Folgende Fehler wurden in der Version Plesk 9.5.2 aktualisiert:

  1. [-] Migrating Java applications fails bug is fixed.
  2. [-] In some cases after upgrade, the old version of Horde remains registered in Plesk when actually Horde was successfully upgraded bug is fixed.
  3. [-] Impossible to change mail account password from Horde webmail interface bug is fixed.
  4. [-] After upgrade, Horde stops accepting short usernames (without the „@doman“ part) bug is fixed.
  5. [-] After upgrade, Horde Kronolith calendar works with errors and fails to create events bug is fixed.
  6. [-] After upgrade, mobile browsers return the Not Found error when trying to access Horde webmail bug is fixed.
  7. [-] Browser returns error when trying to access an Address Book on Horde webmail after upgrade bug is fixed.
  8. [-] When migrating to CentOS 5 under Parallels Virtuozzo Containers, Migration Manager returns „internal server error“ upon migration of some mail accounts, while the accounts seem to be migrated properly bug is fixed.
  9. [-] Migration Manager reports that dump validation failed due to invalid value of the „enabled“ attribute of mail redirects for some mail accounts where mail redirection is set up but disabled bug is fixed.
  10. [-] When upgrading from Plesk versions earlier than 8.6, serial number of DNS zone was set to „0“ bug is fixed.
  11. [-] After migration from Plesk versions earlier than 8.6, site applications are not shown in the Panel if the APS package release on target host differs from that on the source while the app version is the same bug is fixed.
  12. [-] After upgrade, installation of site applications fails on domains where files/folders permissions were set to wrong values bug is fixed.

Bei der Aktualisierung über die Kommandozeile wird nur ein Durchlauf des Updates benötigt, hingegen bei der Steuerung des Updates über die Plesk Panel Adminoberfläche werden mehrere Updatedurchläufe benötigt. Hierzu kommt auch, dass bei Aktualisierung des Updates ein neuer Schlüssel von Plesk eingespielt wird. Wer bis jetzt noch keinen gültigen Plesk-Key für die neuen 9.5er Reihe hat muss sich mit seinem Anbieter in Verbindung setzen. Strato bietet schon seit längerem kostenlos die Möglichkeit seinen Plesk Key auf 9.5 aktualisieren zu können.

Weitere Informatione bzgl. des Releases kann man in den Release Notes bei Plesk nachlesen.

Dieser Beitrag wurde unter Plesk abgelegt und mit , , , , , , , , , , , , , , verschlagwortet. Setze ein Lesezeichen auf den Permalink.

12 Antworten zu Plesk 9.5.2 released

  1. Pingback: Parallels Plesk Panel 9.5.2 verfügbar, Update empfohlen?

  2. Martin sagt:

    Da muss ich meinen Hoster gleich fragen ob er es auch einspielt. Danke für die News.

  3. Adrian sagt:

    Machst Du das normalerweise nicht selber?

  4. Sonicdomains sagt:

    Update von 9.5.1 auf 9.5.2 und von 9.3.0 auf 9.5.2 auf Strato Server kein Problem festgestellt Up and Running 🙂

  5. Adrian sagt:

    Und wie schaut es bei Dir aus mit dem Webmailer? Funktioniert noch alles?

  6. Mr. Budo sagt:

    Habe das Update von 9.3.x auf 9.5.2 auch drauf. Läuft soweit auch einwandfrei, aber als ich jetzt gerne den Lizenzkey updaten wollte, um auch die weiteren 20 möglichen Domains in meinem Strato-V-Server M -Package zu hosten – – – geht nicht:
    PLSK.yyyyyyyy.xxxx kann nicht aktualisiert werden. Bei der Verarbeitung Ihres Keys ist ein Fehler aufgetreten. Sie können es später erneut versuchen.
    Der Support sagte mir: Warten Sie mal 24 Stunden – das System braucht manchmal so lange, bis es aktualisiert ist.
    – Halte ich für eine fatale Fehlauskunft!
    Bisher war in der Serverkonfig unter dem Menüpunkt Plesk immer ein extra Button mit dem man den erweiterten Key für die weiteren Domains (nachdem man 10 auf dem Server liegen hat) anfordern konnte.
    Nun habe ich 10 Domains drauf und der Button ist verschwunden.
    Der angebotene Key zum Download lässt sich zwar downloaden, bei upload funktioniert der aber nicht!
    Wieder 1 Tag verloren… DANKE STRATO! – Das gibt wieder eine negative Bewertung!

  7. Adrian sagt:

    Hast Du Dich schon mal an den Strato Support gewendet? Andernfalls kannst Du auch noch folgendes probieren…

    http://www.adriansauer.com/2010/06/01/plesk-key-update-error-beheben/

    Gruß,
    Adrian

  8. Malan sagt:

    Das Update läuft auf meinem Stratoserver mal wieder nicht durch.
    Bekomme folgenden Plesk autoupdate failure report:

    _____________________

    Try to find rcfile…
    Autoinstaller rcfile not found.
    Opsys detected as: os_vendor=SuSE os_name=Linux version=11.1 arch=i686 environment=vz
    Final opsys (with overriding) is: os_vendor=SuSE os_name=Linux version=11.1 arch=i686 environment=vz
    Checking hostname is sucessfull.
    Downloading the file products.inf3: 100% done.
    Downloading the file plesk.inf3: 12%..20%..31%..40%..51%..60%..71%..81%..91%..100% done.
    Downloading the file ppsmbe.inf3: 12%..27%..58%..88%..100% done.
    Downloading the file sitebuilder.inf3: 10%..22%..35%..61%..74%..100% done.
    Downloading the file setemplates.inf3: 87%..100% done.
    repository: Get brief packages info for all sources
    Checking for installed packages…
    Downloading the file PSA_9.5.1/plesk-9.5.1-suse11.1-i386.inf3: 10%..20%..30%..40%..50%..60%..71%..82%..91%..100% done.
    Downloading the file PSA_9.5.1/plesk-patches-9.5.1-suse11.1-i386.inf3: 100% done.
    Virtuozzo was detected. Trying to connect to VZAgent…Warning! Failed to connect to VZAgent: ioctl: Transport endpoint is not connected
    repository: Get brief packages info for all sources
    Detecting installed product components.
    Component plesk/base: mode upgrade, installed=1262137351, available=1271235693
    Checking if key update required for component plesk/base
    Config allows upgrade from version 9.5 without key update
    Currently installed component version is 9.3.0-suse11.1.build93091230.07
    Keyupgrade need for plesk/base
    Component plesk/psa-autoinstaller: mode upgrade, installed=1250502637, available=1270628235
    Component plesk/php5: mode upgrade, installed=1240383324, available=1270880845
    Component plesk/postgresql: mode install, installed=0, available=1262951500
    Component plesk/vault: mode install, installed=0, available=1270880831
    Component plesk/ppwse: mode install, installed=0, available=1270880793
    Component plesk/api: mode upgrade, installed=1262137300, available=1270880681
    Component plesk/pmm-vz: mode install, installed=0, available=1270880617
    Component plesk/sb-publish: mode install, installed=0, available=1235020413
    Component plesk/sbm: mode install, installed=0, available=1220864885
    Component plesk/cf-support: mode install, installed=0, available=1270880816
    Component plesk/miva: mode install, installed=0, available=1270880822
    Component plesk/billing: mode install, installed=0, available=1245902780
    Component plesk/mod-bw: mode install, installed=0, available=1235127584
    Component plesk/asp: mode up2date, installed=1235020780, available=1235020780
    Component plesk/java: mode install, installed=0, available=1270880689
    Component plesk/mod_python: mode up2date, installed=1228301033, available=1228301033
    Component plesk/ruby: mode install, installed=0, available=1270880818
    Component plesk/qmail: mode upgrade, installed=1240383319, available=1270880841
    Component plesk/postfix: mode install, installed=0, available=1270880841
    Component plesk/psa-firewall: mode upgrade, installed=1262137306, available=1270880688
    Component plesk/psa-vpn: mode upgrade, installed=1262137363, available=1270880770
    Component plesk/psa-fileserver: mode install, installed=0, available=1270880677
    Component plesk/sshterm: mode up2date, installed=1228112978, available=1228112978
    Component plesk/watchdog: mode install, installed=0, available=1270880800
    Component plesk/cs-gs: mode install, installed=0, available=1270880685
    Component plesk/battlefield: mode install, installed=0, available=1270880785
    Component plesk/bf2: mode install, installed=0, available=1270880815
    Component plesk/mailman: mode install, installed=0, available=1270880812
    Component plesk/kav: mode install, installed=0, available=1270880827
    Component plesk/drweb: mode install, installed=0, available=1270880650
    Component plesk/spamassassin: mode install, installed=0, available=1270880693
    Component plesk/backup-vz: mode upgrade, installed=1262137395, available=1270880811
    Component plesk/de-DE-locale: mode upgrade, installed=1260769062, available=1269856897
    Component plesk/ja-JP-locale: mode install, installed=0, available=1269856991
    Component plesk/es-ES-locale: mode install, installed=0, available=1269856923
    Component plesk/ru-RU-locale: mode install, installed=0, available=1269857017
    Component plesk/fr-FR-locale: mode install, installed=0, available=1269856944
    Component plesk/it-IT-locale: mode install, installed=0, available=1269856966
    Component plesk/zh-CN-locale: mode install, installed=0, available=1269857039
    Component plesk/zh-TW-locale: mode install, installed=0, available=1269857062
    Component plesk/nl-NL-locale: mode install, installed=0, available=1269857079
    Component plesk/horde: mode upgrade, installed=1262137373, available=1270880781
    Component plesk/atmail: mode install, installed=0, available=1270880644
    Exchanging information with licensing server.
    Downloading the file PSA_9.5.1/plesk_getkeyinfo.sh: 100% done.
    Ask KA server for key update: product=PleskLogin current key number=PLSK011265150002 to version=9.5.1
    Warning: your license key for the base component cannot be upgraded.
    Response from the licensing server: This license key is detected as terminated. No further actions with this license key are allowed
    ERROR: Failed to check whether a new license key is available.
    Not all packages were installed.
    Please, contact product technical support.
    _____________________

    Habe auch probiert den neuen Pleskkey 95 zu instalieren also auf die Version 9.3 da kommen Fehler:
    _____________________

    Fehler: Der hochgeladene Lizenzkey ist nicht gültig.
    Die Anzahl der auf dem Server gehosteten Websites überschreitet die durch Ihre Lizenz definierten Limits. Sie hosten 10 Sites; Ihre Lizenz erlaubt jedoch nur 1 Sites.
    Die Anzahl der verwalteten Kunden-Accounts überschreitet die durch Ihre Lizenz definierten Limits. Sie verwalten derzeit 6 Kunden-Accounts, Ihre Lizenz erlaubt jedoch nur 2 Kunden-Accounts.
    Die Anzahl der verwalteten E-Mail-Accounts überschreitet die durch Ihre Lizenz definierten Limits. Sie verwalten derzeit 22 E-Mail-Accounts, Ihre Lizenz erlaubt jedoch nur 1 E-Mail-Accounts.
    Die Anzahl der aktuell installierten Sprachpakete überschreitet die durch Ihre Lizenz definierten Grenzen. Es sind 2 Sprachpakete installiert, Ihre Lizenz erlaubt jedoch nur 1 Sprachpakete.
    _____________________

    Obwohl die Keys immer gehen.
    Hoffe mir kann jemand Tipps geben.

  9. Adrian sagt:

    Du hast bei deiner Installation den Standardkey mit nur einer Domain und einem Sprachpaket derzeit installier. Füge den neuen Key einfach als zusätzlichen Key in die Lizenzverwaltung hinzu und dann sollte auch die Installation wieder klappen.

    Gruß,
    Adrian

    • Malan sagt:

      Danke für den Tipp er nimmt den Key an dieser Stelle an aber dann habe ich alle Limits auf 1? Habe doch aber bei Strato 30 Domians Limit?

      Viele Grüße
      Malan

  10. Adrian sagt:

    Jetzt hast Du wenigstens die Möglichkeit die Installation per Konsole anzustoßen. Nach der Installation mußt Du deinen Key noch einmal einspielen.

    Sollte klappen.

    VG
    Adrian

  11. Pingback: Neue Plesk Updates für Plesk 9.5.2 » Adrian Sauer

Kommentare sind geschlossen.